Bug 1331598

Summary: coin-or-Ipopt FTBFS on aarch64 epel7
Product: [Fedora] Fedora EPEL Reporter: D. Marlin <dmarlin>
Component: coin-or-IpoptAssignee: Antonio T. (sagitter) <anto.trande>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: anto.trande, yselkowi
Target Milestone: ---   
Target Release: ---   
Hardware: aarch64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-23 02:29:27 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1285484    

Description D. Marlin 2016-04-28 23:27:20 UTC
Description of problem:

coin-or-Ipopt fails to build from source for Fedora EPEL7 on RHELSA-7.2.


Version-Release number of selected component (if applicable):

coin-or-Ipopt-3.12.4-12.el7


How reproducible:

consistently


Steps to Reproduce:
1.  On a RHELSA-7.2 host:
    mock -r epel-7-aarch64 coin-or-Ipopt-3.12.4-12.el7.src.rpm
2.
3.

Actual results:

/usr/bin/ld: hs071_f.o(.text+0x2ac): unresolvable R_AARCH64_ADR_PREL_PG_HI21 relocation against symbol `__stack_chk_guard@@GLIBC_2.17'
/usr/bin/ld: final link failed: Nonrepresentable section on output


Expected results:

builds without errors.


Additional info:

coin-or-Ipopt-3.12.4-12.fc24 successfully builds on AArch64,

  http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=367128

so this is possibly a configuration or tools difference between RHELSA-7.2 and Fedora 24.

Comment 1 Yaakov Selkowitz 2016-05-16 22:30:18 UTC
It appears that error means -fPIC isn't being used when it should be (see bug 1232499), in this case when compiling linking hs071_f.f from tests.

Comment 2 Yaakov Selkowitz 2018-02-23 02:29:27 UTC
Fixed sometime since: https://koji.fedoraproject.org/koji/buildinfo?buildID=1008865